summary refs log tree commit diff
diff options
context:
space:
mode:
authorRichard van der Hoff <richard@matrix.org>2020-02-10 00:41:49 +0000
committerRichard van der Hoff <richard@matrix.org>2020-02-10 00:41:49 +0000
commitcc0800ebfc2c0e387820a5fcfdfb98842d28632a (patch)
tree0925975a383d1611148f844899a04a40d57eb26a
parentAdd support for putting fed user query API on workers (#6873) (diff)
parentUpdate setuptools for python 3.5 tests (#6880) (diff)
downloadsynapse-cc0800ebfc2c0e387820a5fcfdfb98842d28632a.tar.xz
Merge remote-tracking branch 'origin/release-v1.10.0' into develop
-rwxr-xr-x.buildkite/scripts/test_old_deps.sh18
-rw-r--r--changelog.d/6880.misc1
2 files changed, 19 insertions, 0 deletions
diff --git a/.buildkite/scripts/test_old_deps.sh b/.buildkite/scripts/test_old_deps.sh
new file mode 100755
index 0000000000..dfd71b2511
--- /dev/null
+++ b/.buildkite/scripts/test_old_deps.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# this script is run by buildkite in a plain `xenial` container; it installs the
+# minimal requirements for tox and hands over to the py35-old tox environment.
+
+set -ex
+
+apt-get update
+apt-get install -y python3.5 python3.5-dev python3-pip libxml2-dev libxslt-dev zlib1g-dev
+
+# workaround for https://github.com/jaraco/zipp/issues/40
+python3.5 -m pip install 'setuptools>=34.4.0'
+
+python3.5 -m pip install tox
+
+export LANG="C.UTF-8"
+
+exec tox -e py35-old,combine
diff --git a/changelog.d/6880.misc b/changelog.d/6880.misc
new file mode 100644
index 0000000000..8344a6ed1e
--- /dev/null
+++ b/changelog.d/6880.misc
@@ -0,0 +1 @@
+Fix continuous integration failures with old versions of `pip`, which were introduced by a release of the `zipp` library.